### Function

# Gimp gradient_get_number_of_segments

#### Declaration [src]

    gint
    gimp_gradient_get_number_of_segments (
      const gchar* name
    )

#### Description [src]

Returns the number of segments of the specified gradient

This procedure returns the number of segments of the specified gradient.

Available since: | 2.6

#### Parameters

`name` | `const gchar*`
| The gradient name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gint`
| Number of segments.